```wmd-options
language = es
title_i18n = python_mapper_title_design
title_text = Diseño - PythonMapper
```

<!-- [[wmd]] -->

## Diseño

El proyecto en cuestión no tendría un diseño específico si no fuese por el hecho de tener una documentación vinculada por el hecho de ser una simple librería para una función específica para tratar y procesar archivos Python para mapearlos y así ser vinculados sus elementos por tipado conocido, aunque éste sea falso, así como el logo del proyecto. El sistema de colores se basará en el WMarkDown, siguiendo con la siguiente tabla:

[|
|= Tipo           | Hexadecimal | RGBA                      | Muestra
|  Fondo          | #EFEFEF     | rgba\(239, 239, 239, 1)   | [[#EFEFEF]]
|  Frontal        | #222        | rgba\(34, 34, 34, 1)      | [[#222]]
|  Primario       | #459        | rgba\(64, 80, 144, 1)     | [[#459]]
|  Secundario     | #BA5        | rgba\(176, 160, 80, 1)    | [[#BA5]]
|  Gris           | #888        | rgba\(136, 136, 136, 1)   | [[#888]]
|  Tabla título   | #19888888   | rgba\(136, 136, 136, 0.1) | [[color rgba(136, 136, 136, 0.1)]]
|  Tabla Select   | #19888888   | rgba\(136, 136, 136, 0.1) | [[color rgba(136, 136, 136, 0.1)]]
|  Tabla impar    | #38888888   | rgba\(136, 136, 136, 0.2) | [[color rgba(136, 136, 136, 0.2)]]
|  Tabla par      | #00FFFFFF   | rgba\(255, 255, 255, 0)   | [[color rgba(255, 255, 255, 0)]]
|  Borde interno  | #19888888   | rgba\(136, 136, 136, 0.5) | [[color rgba(136, 136, 136, 0.5)]]
|  Diccionario    | #333C5E     | rgba\(51, 60, 94, 1)      | [[#333C5E]]
|  Diccionario en | #6F663C     | rgba\(111, 102, 60, 1)    | [[#6F663C]]
|  Code impar     | #38C8C8C8   | rgba\(200, 200, 200, 0.2) | [[color rgba(200, 200, 200, 0.2)]]
|]

> [!#] Los colores seleccionados van en referencia a los colores originales de Python puesto que es un proyecto dedicado única y exclusivamente a dicho entorno, pero no son los mismos, orientados a un diseño personalizado.

Con respecto a las fuentes, se dejan las que tiene por defecto WMarkDown, las cuales son:

* **Roboto**. Para el texto en general.
    * https://fonts.google.com/specimen/Roboto?query=roboto
* **Roboto Mono**. Para los bloques de código.
    * https://fonts.google.com/specimen/Roboto+Mono?query=roboto
* **Font Awesome**. Para la iconificación general de la Web.
    * https://fontawesome.com/

Con respecto al logo, nos encontramos con un entorno cuadrado con dos esquinas dobladas simulando una hoja a modo de mapa, y dentro, mediante puntos, simulando un mapeado digital, las letras simplificadas de Python, las cuales son "Py". Dicho logo viene siendo el siguiente:

((!image /images/PythonMapper.png))

> [!@Srx00] Soy consciente de que los puntos que mapean las letras dentro del logo no están centradas, sin embargo, el objetivo era posicionar los puntos desde valores absolutos con separación y tamaño determinados, y por esto es el defecto que se ve, pero pareció bien la estética resultante y se determinó dejarlo así, además, de esta forma daba más aspecto de cubo por dicho desplazamiento, dando un segundo juego visual con sensación de volumen.

<!-- [[wmd]] -->